org.apache.lucene.search.highlight

## Class WeightedSpanTermExtractor.PositionCheckingMap<K>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,WeightedSpanTerm>
    - - org.apache.lucene.search.highlight.WeightedSpanTermExtractor.PositionCheckingMap<K>

- All Implemented Interfaces:
    Serializable, Cloneable, Map<K,WeightedSpanTerm>
  Enclosing class:
    WeightedSpanTermExtractor

      protected static class WeightedSpanTermExtractor.PositionCheckingMap<K>
      extends HashMap<K,WeightedSpanTerm>

  This class makes sure that if both position sensitive and insensitive versions of the same term are added, the position insensitive one wins.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PositionCheckingMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WeightedSpanTerm` | `put(K key, WeightedSpanTerm value)`
    `void` | `putAll(Map<? extends K,? extends WeightedSpanTerm> m)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PositionCheckingMap

          protected PositionCheckingMap()

  - ### Method Detail

    - #### putAll

          public void putAll(Map<? extends K,? extends WeightedSpanTerm> m)

      Specified by:
        `putAll` in interface `Map<K,WeightedSpanTerm>`
      Overrides:
        `putAll` in class `HashMap<K,WeightedSpanTerm>`

    - #### put

          public WeightedSpanTerm put(K key,
                                      WeightedSpanTerm value)

      Specified by:
        `put` in interface `Map<K,WeightedSpanTerm>`
      Overrides:
        `put` in class `HashMap<K,WeightedSpanTerm>`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.